aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2010-01-22 00:58:52 +0000
committerJo-Philipp Wich <jow@openwrt.org>2010-01-22 00:58:52 +0000
commitcc6be25a60abcc661ae6ac29b0ccc000630148f1 (patch)
treea2d9313a862f9ae3e8b62610896399c8f4a1b0f3
parentd531b71f78f96a952518656a45237ec75c841714 (diff)
downloadmaster-187ad058-cc6be25a60abcc661ae6ac29b0ccc000630148f1.tar.gz
master-187ad058-cc6be25a60abcc661ae6ac29b0ccc000630148f1.tar.bz2
master-187ad058-cc6be25a60abcc661ae6ac29b0ccc000630148f1.zip
[package] mac80211: fix spurious error return codes in enable_mac80211()
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@19265 3c298f89-4303-0410-b956-a3cf2f4a3e73
-rw-r--r--package/mac80211/files/lib/wifi/mac80211.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/mac80211/files/lib/wifi/mac80211.sh b/package/mac80211/files/lib/wifi/mac80211.sh
index ca38805f7a..cd03b3082c 100644
--- a/package/mac80211/files/lib/wifi/mac80211.sh
+++ b/package/mac80211/files/lib/wifi/mac80211.sh
@@ -408,7 +408,7 @@ enable_mac80211() {
start_hostapd=1
done
- [ -n "$start_hostapd" ] || return
+ [ -n "$start_hostapd" ] || return 0
hostapd -P /var/run/wifi-$phy.pid -B /var/run/hostapd-$phy.conf || {
echo "Failed to start hostapd for $phy"